Ciele

Export a credential-free Assistant bundle

GET/api/v1/assistants/{id}/export

Requires an Organization API key with the member capability.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/assistants/string/export"
{  "bundleVersion": 1,  "assistant": {    "description": "string",    "nickname": "string",    "avatarUrl": "string",    "welcomeMessage": "string",    "aiDisclaimer": "string",    "suggestedQuestions": [      "string"    ],    "quickReplies": [      {        "id": "string",        "label": "string",        "type": null,        "text": "string",        "url": "string"      }    ],    "answeringStyle": "string",    "simplifiedThinking": false,    "guardrails": [      null    ],    "chatLauncherEnabled": false,    "modelProvider": "anthropic",    "modelId": "string",    "modelSource": null,    "allowedModels": [      {        "provider": null,        "modelId": "string",        "source": null      }    ],    "attachmentsEnabled": false,    "voice": {      "enabled": true,      "transcription": {        "provider": null,        "modelId": "string"      },      "speech": {        "provider": null,        "modelId": "string"      },      "voiceId": "string",      "inputLanguage": "auto",      "outputLanguage": "auto",      "voiceLanguages": {        "property1": null,        "property2": null      }    },    "style": {      "brandColor": "string",      "position": "right",      "headerColor": "string",      "bubbleColor": "string",      "buttonColor": "string",      "launcherIcon": "string",      "focusRingColor": "string",      "closeIcon": "string",      "showOnMobile": false,      "buttonSize": 0,      "buttonRadius": 0,      "paddingBottom": 0,      "paddingRight": 0,      "corner": "bottom-right",      "fontFamily": "string",      "fontSize": 0,      "windowWidth": 0,      "windowHeight": 0    },    "allowedDomains": [      "string"    ],    "helpDeskSettings": {      "aiRecommended": false,      "hideEscalationButton": false,      "contactButtonLabel": "string",      "selectedIds": [        "string"      ]    },    "tools": {      "remoteMcp": [        {          "serverId": null,          "tools": null        }      ],      "evaluationModels": {        "answer": {          "provider": null,          "modelId": null        },        "classifier": {          "provider": null,          "modelId": null        },        "orchestration": {          "provider": null,          "modelId": null        },        "fallback": {          "provider": null,          "modelId": null        },        "preflight": {          "provider": null,          "modelId": null        },        "reranker": {          "provider": null,          "modelId": null        }      },      "builtIns": {        "searchKnowledge": null,        "fetchUrl": null,        "remember": null,        "renderTable": null      },      "studyMode": {        "enabled": true,        "formats": [          null        ],        "instructions": "string"      }    },    "requireSignIn": false,    "title": "string"  },  "flows": [    {      "name": "string",      "description": "string",      "trigger": "message",      "triggerSettings": {        "timeOnPage": {          "minutes": null,          "seconds": null        },        "httpRequest": {          "methods": null        }      },      "conditionLogic": "any",      "conditions": [        null      ],      "actions": [        null      ],      "actionSettings": {        "steps": [          null        ],        "search_knowledge": {          "escalatePrompt": null,          "improvementItems": null,          "searchGuidelines": null,          "answeringStyle": null,          "overrideAnsweringStyle": null        },        "basic_reply": {          "message": null        },        "show_button": {          "label": null,          "type": null,          "url": null,          "helpDeskId": null,          "text": null,          "faqId": null,          "faqQuestion": null,          "showIcon": null,          "icon": null        },        "iframe": {          "url": null,          "title": null,          "lightbox": null,          "height": null,          "heightUnit": null        },        "api_request": {          "endpoint": null,          "swaggerUrl": null,          "operationId": null,          "method": null,          "url": null,          "auth": null,          "headers": null,          "queryParams": null,          "bodyTemplate": null,          "jsonPaths": null        },        "send_email": {          "to": null        },        "handover": {          "assistantId": null        },        "connector": {          "provider": null,          "connectionId": null,          "action": null,          "params": null,          "successMessage": null,          "failureMessage": null        },        "human_review": {          "title": null,          "message": null,          "assignees": null,          "channel": null,          "senderConnectionId": null,          "slackTarget": null,          "inputs": null,          "timeoutHours": null,          "haltMessage": null,          "waitingMessage": null,          "mode": null        },        "http_webhook": {          "subscribe": null,          "unsubscribe": null,          "timeoutMinutes": null,          "waitingMessage": null,          "haltMessage": null,          "jsonPaths": null        },        "respond": {          "status": null,          "headers": null,          "bodyTemplate": null        },        "follow_up_questions": {          "mode": null,          "questions": null        },        "notification": {          "title": null,          "content": null,          "deliveryRule": null,          "allowReplies": null,          "buttons": null        }      },      "customMessage": "string",      "enabled": true,      "builtIn": true,      "isDefault": true    }  ],  "skills": [    {      "description": "string",      "name": "string",      "prompt": "string",      "starter": "string"    }  ],  "collections": [    "string"  ],  "apiIntegration": null}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}